Option Explicit
Option Strict

Imports System

Namespace People

  Public Class Programmer
    Inherits Person

    Private _avgHoursSleepPerNight As Integer


    Overloads Public Sub New()
      MyBase.New()
    End Sub

    Overloads Public Sub New(firstName As String, lastName As String)
      MyBase.New(firstName, lastName)
    End Sub

    Overloads Public Sub New(firstName As String, lastName As String, hoursSleep As Integer)
      MyBase.New(firstName, lastName)
      _avgHoursSleepPerNight = hoursSleep
    End Sub


    Public Property AvgHoursSleepPerNight() As Integer

      Get
        AvgHoursSleepPerNight = _avgHoursSleepPerNight
      End Get
      Set
        _avgHoursSleepPerNight = value
      End Set

    End Property


  End Class

End Namespace
